<?php
/**
 * @file
 * hosting_dns hosting_dns.views.inc
 */

/**
 * Implements hook_views_data().
 */
function hosting_dns_views_data() {
  // Views data for 'hosting_dns_records' table.
  $data['hosting_dns_records']['table'] = array(
    'group' => t('Hosting DNS'),
    'title' => t('Hosting DNS'),
    'join' => array(
      'node' => array(
        'left_field' => 'vid',
        'field' => 'vid',
      ),
    ),
  );

  // TTL field.
  $data['hosting_dns_records']['dns_ttl'] = array(
    'title' => t('TTL'),
    'help' => t('Contains the TTL of a DNS record.'),
    'field' => array(
      'handler' => 'hosting_dns_handler_field_dns_ttl',
      'click sortable' => TRUE,
    ),
    'filter' => array(
      'handler' => 'views_handler_filter_numeric',
    ),
    'sort' => array(
      'handler' => 'views_handler_sort',
    ),
  );
  
  // Type field.
  $data['hosting_dns_records']['dns_type'] = array(
    'title' => t('Type'),
    'help' => t('Contains the type of a DNS record.'),
    'field' => array(
      'handler' => 'views_handler_field',
      'click sortable' => TRUE,
    ),
    'sort' => array(
      'handler' => 'views_handler_sort',
    ),
    'filter' => array(
      'handler' => 'views_handler_filter_string',
    ),
    'argument' => array(
      'handler' => 'views_handler_argument_string',
    ),
  );

  // Value field.
  $data['hosting_dns_records']['dns_value'] = array(
    'title' => t('Value'),
    'help' => t('Contains the value of a DNS record.'),
    'field' => array(
      'handler' => 'views_handler_field',
      'click sortable' => TRUE,
    ),
    'sort' => array(
      'handler' => 'views_handler_sort',
    ),
    'filter' => array(
      'handler' => 'views_handler_filter_string',
    ),
    'argument' => array(
      'handler' => 'views_handler_argument_string',
    ),
  );

  // Relationship to Site node.
  $data['hosting_dns_records']['site'] = array(
    'title' => t('Site ID'),
    'help' => t('The referenced site for the DNS entry.'),
    'field' => array(
      'handler' => 'views_handler_field_node',
      'click sortable' => TRUE,
    ),
    'relationship' => array(
      'handler' => 'views_handler_relationship',
      'base' => 'node',
      'base field' => 'nid',
      'label' => t('Reference'),
    ),
    'argument' => array(
      'handler' => 'views_handler_argument_node_nid',
    ),
  );

  $data['hosting_dns_records']['create_form'] = array(
    'title' => t('DNS create form'),
    'help' => t('Creates a form for adding DNS entries from a views footer.'),
    'area' => array(
      'handler' => 'hosting_dns_handler_area_dns_create_form',
    ),
  );

  return $data;
}
